# dataqueue.h File Reference

## Detailed Description

FIFO queue of Data objects.

Definition in file dataqueue.h.

`#include <queue>`
`#include <pthread.h>`

Include dependency graph for dataqueue.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::DataQueue
| This class provides a thread aware fifo queue for Data objects, providing memory management for all Data object pointers it contains. More...